function [b] = assembRightSide(tri, P, f)

NuDoF = length(P);
b=zeros(NuDoF, 1);
S4= [2, 1, 1; 1, 2, 1; 1, 1, 2]/24;

if length(f) == 1
  temp=f;
  f = ones(NuDoF,1);
  f = temp*f;
  clear 'temp';
end

B(1,:,:)=P(:,tri(:,2)) - P(:,tri(:,1));
B(2,:,:)=P(:,tri(:,3)) - P(:,tri(:,1));

for i=1:length(tri)
  mydet = abs(det(squeeze(B(:,:,i))));
  for m=1:3
    temp=0;
    for j=1:3
      temp = temp + f(tri(i,j))* S4(m,j);
    end
    b(tri(i,m))= b(tri(i,m)) + mydet*temp;
  end  
end

