for j=1:8
  h(j)=0.5^(j+1);
  [ P, T, B ] = kellerTriangulation(1,1,h(j),h(j));
  A = assembDiffusion (1, T, P);
  f = 3*P(1,:).^2 + 2;
  b = assembRightSide(T, P, f);
  u0 = zeros(size(b));
  u0(B) = 1 - 0.25*P(1,B).^4 - P(2,B).^2;
  b = b - A*u0; 
  for i=B'
    A(i,find(A(i,:))) = 0;
    A(find(A(:,i)),i) = 0;
    A(i,i) = 1; b(i) = 0;
  end
  
  w = A\b;
  u = w + u0; %*\label{testScript451-2}
  DoF(j) = length(A);
  eigMax(j) = eigs(A,1,'lm'); eigMin(j) = eigs(A,1,'sm');
  kondition(j) = eigMax(j)/eigMin(j);
end
loglog(h,kondition,'k-*');%*\label{testScript451-1}
xlabel('h'); ylabel('Konditionszahl'); 
grid on
axis square 