function [ b ] = assemRightSide1D( f , nodes)
  if isa(f, 'function_handle')%*\label{assemRightSide1D-9}
    w = [ 41/840, 216/840, 27/840, 272/840, 27/840, 216/840, 41/840]; %*\label{assemRightSide1D-1}
    intervals = length(nodes);
    b = zeros(length(nodes),1);
    h = nodes(2:end) - nodes(1:end-1);
    line = linspace(0,1,length(w));%*\label{assemRightSide1D-8}
    for i=1:intervals-1  %*\label{assemRightSide1D-2}
      x = nodes(i):h(i)/(length(w)-1):nodes(i+1);
          
      integral = h(i)*sum(w.*(f(x).*(1-line))); %*\label{assemRightSide1D-3}
      b(i) = b(i) + integral;
        
      integral = h(i)*sum(w.*(f(x).*line)); %*\label{assemRightSide1D-4}
      b(i+1) = b(i+1) + integral;
    end %*\label{assemRightSide1D-5}
  else
    f = f(:); %*\label{assemRightSide1D-6}
    R = assemReaction1D( nodes, 1 );
    b = R*f; %*\label{assemRightSide1D-7}
  end
