function [ gradu, s ]  = gradientPerElement( mesh, u )

u=u(:)';
x = mesh.P(1,:); 
y = mesh.P(2,:);
i=1:mesh.NuTri;

a1 = [  x(mesh.T(i,1)) ; y(mesh.T(i,1)) ; u(mesh.T(i,1)) ]; %*\label{gradientPerElement1}
a2 = [  x(mesh.T(i,2)) ; y(mesh.T(i,2)) ; u(mesh.T(i,2)) ];
a3 = [  x(mesh.T(i,3)) ; y(mesh.T(i,3)) ; u(mesh.T(i,3)) ];%*\label{gradientPerElement2}

r1 = a3(:,i) - a1(:,i); r2 = a2(:,i) - a1(:,i); %*\label{gradientPerElement3}
n = cross(r1,r2); %*\label{gradientPerElement4}

dx = n(1,:)./n(3,:); dy = n(2,:)./n(3,:); %*\label{gradientPerElement5}
gradu = zeros(2,mesh.NuTri);
gradu(1,:)=dx;
gradu(2,:)=dy;

s  = ( a1(1:2,i) + a2(1:2,i) + a3(1:2,i) )./3;%*\label{gradientPerElement6}
