function [y] = hatFunction(x, knots, h)
l = size(x);
y = zeros(l);

index = find((x > (knots*h-h)*ones(l) ) & (x<= (knots*h)*ones(l)));
y(index) = (x(index) - (knots*h-h)*ones(size(x(index))))*1/h;

index = find((x < (knots*h+h)*ones(l) ) & (x>= (knots*h)*ones(l)));
y(index) = 1 - ( x(index) - knots*h*ones(size(x(index))))*1/h;