DoF=1000;
% ------------------------ Ansatz 1 ------------------------
A=sparse(DoF,DoF); %*\label{testScript141-1}
tic
for c = 1:DoF
  for r = 1:DoF
    if r == c
      A(r,c) = 2;
    elseif abs(r-c) == 1
      A(r,c) = -1;
    else
      A(r,c) = 0;
    end
  end
end
time1=toc %*\label{testScript141-2}
% ------------------------ Ansatz 2 ------------------------
B=sparse(DoF,DoF);
tic
B(1,1)=2;
for i=2:DoF
  B(i-1,i) = -1;  B(i,i-1) = -1;  B(i,i)=2;
end
time2=toc
% ------------------------ Ansatz 3 ------------------------
C=sparse(DoF,DoF);%*\label{testScript141-3}
tic
C(1:(DoF+1):DoF*DoF) = 2;  C(DoF+1:DoF+1:DoF*DoF)=-1;  C(2:DoF+1:DoF*DoF)=-1;
time3=toc %*\label{testScript141-4}
% ------------------------ Ansatz 4 ------------------------ 
tic %*\label{testScript141-5}
index1 = 2:DoF;   index2 = 1:DoF-1;   index3 = 1:DoF;
minus1 = -1*ones(size(index1));   two = 2*ones(size(index3));
x = [index1 index2 index3]; y = [index2 index1 index3];
value = [minus1 minus1 two];
C=sparse(x,y,value); %*\label{testScript141-7}
time4=toc %*\label{testScript141-6}