% mit unterer Aussenlinie initialisieren 
x=-1:0.1:1; y=-1*ones(size(x));
% obere Aussenlinie hinzufuegen
xtemp=-1:0.1:1; ytemp=1*ones(size(x));
x = horzcat(x,xtemp); y = horzcat(y,ytemp);
% rechte Aussenlinie hinzufuegen
ytemp=-1:0.1:1; xtemp=1*ones(size(ytemp));
x = horzcat(x,xtemp); y= horzcat(y,ytemp);
% linke Aussenlinie hinzufuegen
ytemp=-1:0.1:1; xtemp=-1*ones(size(ytemp));
x = horzcat(x,xtemp); y = horzcat(y,ytemp);
% zufaellige Innenpunkte hinzufuegen
xtemp = 2*rand(1,500)-1; ytemp = 2*rand(1,500)-1;
x = horzcat(x,xtemp); y = horzcat(y,ytemp);
% Delaunay-Triangulierung hinzufuegen 
tri = delaunay(x,y);
% Triangulierung plotten
subplot(1,2,1); triplot(tri,x,y);
% Funktionswerte berechnen
z = exp(-x.^2-y.^2).*sin(x-y);
subplot(1,2,2); trisurf(tri,x,y,z);