nodes = -1:0.001:1;
epsilon = 1; r = 2;
alpha = 2; kappa = 1; uO = -1;

D   = assemDiffusion1D( nodes, epsilon);
R   = assemReaction1D( nodes, r );
A=R+D;
b   = assemRightSide1D( @(x) (4 - 2*x.^2), nodes);
n   = length(A);
uref = 1-nodes.^2;

A(1,1) = A(1,1) + epsilon*alpha/kappa;
b(1)=b(1) + epsilon*alpha/kappa*uO; 
A(n,n) = A(n,n) + epsilon*alpha/kappa;
b(n)=b(n) + epsilon*alpha/kappa*uO; 
u = A\b;
plot(nodes, abs(u-uref(:)),'k','LineWidth',3);

hold on;

b(n)=0;b(1)=0;
A(1,:) = zeros(1,n);
A(n,:) = A(1,:);
A(1,1)=1;A(n,n)=1;
u = A\b;
plot(nodes, abs(u-uref(:)),'k--','LineWidth',3);