function integral = weddleIntegration(a,b,h,fhandle)
  w = [ 41/840, 216/840, 27/840, 272/840, 27/840, 216/840, 41/840]; %*\label{weddleIntegration-1}
  integral = 0;
  rest = mod(b-a,h);%*\label{weddleIntegration-2}
  bnew = b - rest;%*\label{weddleIntegration-3}
  
  for offset = a:h:bnew-h
    for i=1:length(w)
      x = offset + h*(i-1)/(length(w)-1);
      integral = integral + h*w(i)*fhandle(x);
    end
  end
  
  if rest ~= 0 %*\label{weddleIntegration-4}
    offset = bnew;  
    for i=1:length(w)
      x = offset + rest*(i-1)/(length(w)-1);
      integral = integral + rest*w(i)*fhandle(x);
    end%*\label{weddleIntegration-5}
  end