[ P, T, B ] = kellerTriangulation(1,1,0.2,0.2);

A = assembDiffusion (1, T, P);

f = 3*P(1,:).^2 + 2;
b = assembRightSide(T, P, f);

u0 = zeros(size(b));%*\label{testScript422-1}
u0(B) = 1 - 0.25*P(1,B).^4 - P(2,B).^2;%*\label{testScript422-2}

figure(1); trisurf(T,P(1,:),P(2,:),u0)
b = b - A*u0; %*\label{testScript422-3}

for i=B'
  A(i,find(A(i,:))) = 0;
  A(find(A(:,i)),i) = 0;%*\label{testScript422-4}
  A(i,i) = 1; b(i) = 0;
end  

w = A\b;
u = w + u0;

figure(2); trisurf(T,P(1,:),P(2,:),u)

lsg = 1 - 0.25*P(1,:).^4 - P(2,:).^2;
error = abs(lsg' - u);
figure(3); trisurf(T,P(1,:),P(2,:),error)