function [ b ] = assemRightSide1Dkub( f , P)

P=P(:);
NoE = length(P)-1;
h=P(2:length(P)) - P(1:length(P)-1);
DoF = 3*NoE+1;

if isa(f, 'function_handle')
  nodes = zeros(DoF,1);
  index = 1:3:DoF;
  nodes(index) = P;

  index = 0:NoE-1;
  nodes(3*index+2) = nodes(3*index+1) + h(index+1)/3;
  nodes(3*index+3) = nodes(3*index+1) + h(index+1)*2/3;

  y = f(nodes);
else
  y=f(:);
end

R = assemReaction1Dkub( P, 1 );
b = R*y;
