nodes = -1:0.1:1;
epsilon = 1; r = 2; 
D   = assemDiffusion1D( nodes, epsilon);
R   = assemReaction1D( nodes, r );
A   = D + R;
b   = assemRightSide1D( @(x) (4 - 2*x.^2), nodes);
n   = length(A);
A(1,:) = sparse(1,n); %*\label{testScript344-8}
A(1,1) = 1;
A(n,:) = sparse(1,n); %*\label{testScript344-10}
A(n,n) = 1;
b(1)=0; b(n)=0; %*\label{testScript344-12}
u = A\b;
subplot(2,1,1)
plot(nodes, u);
subplot(2,1,2)
plot(nodes, abs(u(:)'-(1-nodes.^2)));