P=[0 0.3 0.6 0.9]; epsilon = 5/42593; 

[A, nodes] = assemDiffusion1Dkub( P, epsilon);
b   = assemRightSide1Dkub( @(x) (0*zeros(size(x))), P);
n   = length(A);
A(1,:) = sparse(1,n); A(1,1) = 1;
A(n,:) = sparse(1,n); A(n,n) = 1;
b(1)=271.15; b(n)=293.15;
ukub = A\b;

[A] = assemDiffusion1D( nodes, epsilon);
b   = assemRightSide1D( @(x) (0*zeros(size(x))), nodes);
A(1,:) = sparse(1,n); A(1,1) = 1;
A(n,:) = sparse(1,n); A(n,n) = 1;
b(1)=271.15; b(n)=293.15;
ulin = A\b;

uref =  271.15 + 220/9 * nodes; 
subplot(2,1,1)
plot(nodes, ukub,'k','LineWidth',3);
hold on 
plot(nodes, ulin,'--','LineWidth',3,'Color',[0.7 0.7 0.7]);
xlim([0 0.9]); title('Loesung mit kubischen und linearen Ansatzfunktionen');
legend('Kubische Ansatzfunktionen','Lineare Ansatzfunktionen','Location','southoutside');
subplot(2,1,2)
nodes=nodes(:)';
plot(nodes, abs(ukub(:)-uref),'k','LineWidth',3); 
hold on
plot(nodes, abs(ulin(:)-uref),'--','Color',[0.7 0.7 0.7],'LineWidth',3); 
xlim([0 0.9]); ylim([0 4e-13]);
title('Fehler mit kubischen und linearen Ansatzfunktionen');